function oJacobian = getJacobian(iImg)
% GETJACOBIAN - Generate the jacobian of an image
%   Affine jacobian only

  fImgSz = size(iImg);
  fx = [1:fImgSz(1)]-ceil(fImgSz(1)/2);
  fy = [1:fImgSz(2)]-ceil(fImgSz(2)/2);
  
  [fX fY] = ndgrid(fx,fy);
  
  f0 = zeros(size(iImg));
  f1 = ones(size(iImg));

  oJacobian = {fX,f0,fY,f0,f1,f0;
               f0,fX,f0,fY,f0,f1};
