function oRegion = getRegion(iImg,iX,iSz)
% GETREGION - Extract a region from an image
%    iX should be a coordinate matrix.
  
  %iX = floor(iX);  
  %fIdx = sub2ind( size(iImg), iX(1,:), iX(2,:) );
  %oRegion = iImg(fIdx);
  oRegion = interp2(iImg,iX(2,:),iX(1,:),'linear');
  oRegion = reshape( oRegion, iSz );

  oRegion( find( isnan(oRegion) ) )=0;