function oImg = imgDraw(iImg)
% IMGDRAW - Tile a collection of images together
%   a

  sz = size(iImg{1});
  oImg = zeros( sz.*size(iImg) );
  fx = [-sz(1)+1:0];
  fy = [-sz(2)+1:0];
  for c1=1:size(iImg,1),
    for c2=1:size(iImg,2),
      oImg( fx+c1*sz(1), fy+c2*sz(2) ) = iImg{c1,c2};
    end
  end