function oHH = jointHistHess(iTmp,iRef,iBins,iRefDD)
% JOINTHISTHESS - Generate a joint hessian histogram
%   Assumes 256 intensity bins

  f0 = zeros(iBins(1),1);
  for c1=1:numel(iRefDD),
    oHH{c1} = [jointHist(iTmp,iRef,iBins,iRefDD{c1}) f0 f0]*-1;
    oHH{c1} = [f0 jointHist(iTmp,iRef,iBins,iRefDD{c1}) f0]* 2 + oHH{c1};
    oHH{c1} = [f0 f0 jointHist(iTmp,iRef,iBins,iRefDD{c1})]*-1 + oHH{c1};
  end
