function oHH = singleHistHess(iTmp,iTmpDD)
% JOINTHISTHESS - Generate a joint hessian histogram
%   Assumes 256 intensity bins

  f0 = zeros(1,256);
  for c1=1:numel(iTmpDD),
    oHH{c1} = [singleHist(iTmp,iTmpDD{c1}) 0 0]*-1;
    oHH{c1} = [0 singleHist(iTmp,iTmpDD{c1}) 0]* 2 + oHH{c1};
    oHH{c1} = [0 0 singleHist(iTmp,iTmpDD{c1})]*-1 + oHH{c1};
  end
