function oHJ = jointHistJac(iTmp,iRef,iBins,iRefD)
% JOINTHISTJAC - Generate a joint jacobian histogram
%   Assumes 256 intensity bins

  f0 = zeros(iBins(1),1);
  for c1=1:numel(iRefD),
    oHJ{c1} = [jointHist(iTmp,iRef,iBins,iRefD{c1}) f0]*-1;
    oHJ{c1} = [f0 jointHist(iTmp,iRef,iBins,iRefD{c1})]    + oHJ{c1};
  end
