function [oPercent oETA oText] = myTimer(iNum,iTot,iOldP,iText)
% MYTIMER - Calculates a floored percentage and total time elapsed
%    along with the appropriate text
  
  iTime = toc;
  oETA(3) = (iTime / iNum)*(iTot-iNum);
  oETA(1) = floor(oETA(3) / 60);
  oETA(2) = floor(oETA(3) - 60*oETA(1));

  oPercent = floor(iNum/iTot*100);
  
  oText = ['ETA: ' num2str(oETA(1)) ':' num2str(oETA(2)) ' - ' ...
           num2str(oPercent) '% done'];

  if exist('iText','var')
    oText = [iText ' ' oText];
  end

  if exist('iOldP','var')
    if iOldP ~= oPercent 
      disp(oText);
    end
  end