%Gt ground truth position for each set of data

function oRes = tstc_biasT(iTset,iTsz,iFile,iQuit)
  
  cd ~/zPers/dev/v_bmvaplay/fns;
  
  load tsta;
  
  t.Pz = 1;
  t.percent = 0;
 
  t.Ctest = 0;
  
  oRes.xhi = zeros(2,5,8);
  oRes.yhi = zeros(1,5,8);
  
  tic;
    for c4=iTset
      t.R = testSuite.img{c4};
      for c3=iTsz
        t.T = testSuite.tmpTx{c4}{c3};

        d = [-2:.2:2];
        x = 1/3+testSuite.warp(1,c4);
        y = 1/3+testSuite.warp(2,c4);
        for c2=1:10
          [a b] = ndgrid(x+d,y+d);
          f=zeros(size(a));
          for c1=1:numel(a)
            f(c1) = mifwds( t.T/32, t.R/32, [0 0 0 0 a(c1) b(c1)],1 );
          end
          [fhi fi] =max(f(:));
          x=a(fi);
          y=b(fi);
          d=d/2;
        end
        oRes.xhi(:,c3,c4) = [x y]';
        oRes.yhi(1,c3,c4) = fhi;

        t.Ctest = t.Ctest+1;
        t.percent = myTimer(t.Ctest,40,t.percent);
      end
    end
  toc

  if exist('iFile','var')
    if numel(iFile)>0
      save(iFile,'oRes','iAlg','iTset','iTsz');
    end
  end
  
  if exist('iQuit','var')
    if true==iQuit
      quit;
    end
  end
  